Bug 1888942 - [abrt] caja-actions: g_type_check_instance_is_fundamentally_a(): caja-actions-config-tool killed by SIGSEGV
Summary: [abrt] caja-actions: g_type_check_instance_is_fundamentally_a(): caja-actions...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: caja-actions
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6ab813f487294136c6ac1314fda...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-16 12:59 UTC by Davide Repetto
Modified: 2021-05-25 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:53:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.95 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: core_backtrace (16.01 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: cpuinfo (1.89 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: dso_list (9.09 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: environ (3.58 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: exploitable (93 bytes, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: maps (61.87 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: mountinfo (5.21 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: open_fds (1.58 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2020-10-16 12:59 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2020-10-16 12:59:42 UTC
Description of problem:
This crash happened while I was editing existing actions.

Version-Release number of selected component:
caja-actions-1.8.3-12.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        caja-actions-config-tool
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/caja-actions-config-tool
journald_cursor: s=c24450a861834fa19c770ca1f4edda84;i=661c5;b=43e8fd17af424ee1aa6e7141cfb06482;m=327704367;t=5b1b9458cdd7c;x=e298aaf4852e1461
kernel:         5.8.14-200.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at ../gobject/gtype.c:4028
 #2 g_list_foreach at ../glib/glist.c:1085
 #3 clear_primary_clipboard at cact-clipboard.c:839
 #4 instance_finalize at cact-clipboard.c:242
 #7 instance_dispose at cact-main-window.c:768
 #10 cact_main_window_quit at cact-main-window.c:1356
 #11 on_delete_event at cact-main-window.c:1404
 #12 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:129
 #13 _g_closure_invoke_va at ../gobject/gclosure.c:873
 #16 gtk_widget_event_internal at gtkwidget.c:7808

Comment 1 Davide Repetto 2020-10-16 12:59:45 UTC
Created attachment 1722057 [details]
File: backtrace

Comment 2 Davide Repetto 2020-10-16 12:59:47 UTC
Created attachment 1722058 [details]
File: core_backtrace

Comment 3 Davide Repetto 2020-10-16 12:59:48 UTC
Created attachment 1722059 [details]
File: cpuinfo

Comment 4 Davide Repetto 2020-10-16 12:59:49 UTC
Created attachment 1722060 [details]
File: dso_list

Comment 5 Davide Repetto 2020-10-16 12:59:50 UTC
Created attachment 1722061 [details]
File: environ

Comment 6 Davide Repetto 2020-10-16 12:59:51 UTC
Created attachment 1722062 [details]
File: exploitable

Comment 7 Davide Repetto 2020-10-16 12:59:53 UTC
Created attachment 1722063 [details]
File: limits

Comment 8 Davide Repetto 2020-10-16 12:59:54 UTC
Created attachment 1722064 [details]
File: maps

Comment 9 Davide Repetto 2020-10-16 12:59:56 UTC
Created attachment 1722065 [details]
File: mountinfo

Comment 10 Davide Repetto 2020-10-16 12:59:57 UTC
Created attachment 1722066 [details]
File: open_fds

Comment 11 Davide Repetto 2020-10-16 12:59:58 UTC
Created attachment 1722067 [details]
File: proc_pid_status

Comment 12 Fedora Program Management 2021-04-29 16:41:24 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2021-05-25 16:53:55 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.